Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| WebLogic Integration
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.schema.facet
Class FacetFractionDigits

    java.lang.Object
      |
      +--com.bea.schema.SOMObject
            |
            +--com.bea.schema.facet.SOMFacet
                  |
                  +--com.bea.schema.facet.NumericFacet
                        |
                        +--com.bea.schema.facet.FacetFractionDigits

public class FacetFractionDigits
extends NumericFacet

fractionDigits is the maximum number of digits in the fractional part of values of datatypes derived from number. The value of fractionDigits must be a nonNegativeInteger .

Since:
  3/16/2001
Author:
  Copyright © 2000, 2001 BEA Systems, Inc. All Rights Reserved.
See Also:
  Serialized Form

Fields inherited from class com.bea.schema.facet.SOMFacet
`duration, encoding, enumeration, fractionDigits, length, maxExclusive, maxInclusive, maxLength, minExclusive, minInclusive, minLength, pattern, period, precision, scale, totalDigits, whiteSpace`

Constructor Summary
`FacetFractionDigits(java.lang.String val)`

Method Summary
`java.lang.String` | `getID()`

Methods inherited from class com.bea.schema.facet.NumericFacet
`getDouble, getLong, getValue, setDouble, setValue`

Methods inherited from class com.bea.schema.facet.SOMFacet
`getAttributes, getFacet, getFixed, getTagName, setFixed, toXML`

Methods inherited from class com.bea.schema.SOMObject
`addChild, addPrefixMapping, attributesToXML, collectEffectivePrefixMappings, doIndent, getContainmentXPath, getEffectivePrefixMappings, getID_UQ, getParent, getParentName, getParentSchema, getPrefixForTargetNamespace, getTargetNamespace, getURIForPrefix, isCircularReference, isSchemaChild, namespacePrefixesToXML, removeNamespaceQualifier, removePrefixMapping, setIndent, setParent, toString, toXML, toXML, toXML, trace, trace`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### FacetFractionDigits

    public FacetFractionDigits(java.lang.String val)

Method Detail

### getID

    public java.lang.String getID()

  Overrides:
    getID in class SOMObject

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| WebLogic Integration
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

WebLogic Integration (WLI)